package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-11-20-patch.groovy") {
    changeSet(author: "fjm", id: "20171110-fjm-1") {
        addColumn(tableName: "CSH_WRITE_OFF") {
            column(name: "write_off_doc_category", type: "varchar(100)", remarks: "核销单据类别")
        }
        addColumn(tableName: "CSH_WRITE_OFF") {
            column(name: "withdraw_cf_id", type: "bigint(20)", remarks: "保理合同提款单现金流id")
        }
        addColumn(tableName: "CSH_WRITE_OFF") {
            column(name: "repayment_id", type: "bigint(20)", remarks: "融资合同还款现金流id")
        }
        addColumn(tableName: "CSH_WRITE_OFF") {
            column(name: "withdraw_id", type: "varchar(100)", remarks: "融资合同提款现金流id")
        }
    }
}