package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-11-28-patch.groovy") {
    changeSet(author: "neil", id: "20171128-neil-1") {
        addColumn(tableName: "sys_user_authority_rule") {
            column(name: "position_rule", type: "varchar(255)", remarks: "岗位权限")
        }
        addColumn(tableName: "hls_bp_master") {
            column(name: "authority_rule_string", type: "varchar(255)", remarks: "商业伙伴权限字段")
        }
    }

    changeSet(author: "yang", id: "20180103-sys_user_login_logout_time") {
        addColumn(tableName: "sys_user_login") {
            column(name: "logout_time", type: "datetime", remarks: "登出时间")
        }
    }
}