package hls.core.db.register.function

import com.hand.hap.db.utils.SysFuncTemplateUtils
import com.hand.hap.liquibase.MigrationHelper


def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
def templateUtils = SysFuncTemplateUtils.getInstance();

/*beign 功能定义*/
println("*********************** begin register function neilFunctionCode");
templateUtils.deleteSysFunction("neilFunctionCode");
templateUtils.deleteSysResource("test.html");

templateUtils.resourceLoad("test.html", "HTML", "测试功能页面",'Y','Y');
templateUtils.resourceTlLoad("test.html", "测试功能页面", "zh_CN");
templateUtils.resourceTlLoad("test.html", "test function page", "en_GB");

templateUtils.funcLoad("neilFunctionCode", "功能名称","test.html","functionIcon", "neilModule", "FUNCTION", 10,null,null);
templateUtils.funcTlLoad("neilFunctionCode",  "测试功能", "zh_CN");
templateUtils.funcTlLoad("neilFunctionCode",  "test function", "en_GB");
println("*********************** end register function neilFunctionCode");
/*end*/


