package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-10-10-patch.groovy") {
    changeSet(author: "fjm", id: "20171010-fjm-1") {
        dropColumn(tableName:"GLD_JE_TEMPLATE",columnName:"JE_HD_RULE")
        dropColumn(tableName:"GLD_JE_TEMPLATE",columnName:"JE_HD_RULE_FLAG")
        dropColumn(tableName:"GLD_JE_TEMPLATE",columnName:"JE_REVERSE_RULE")
    }
    changeSet(author: "fjm", id: "20171010-fjm-2") {
        addColumn(tableName: "hls_rule_engine_result") {
            column(name: "JE_HD_TEMPLATE_ID", type: "bigint")
        }
    }
}