package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-10-19-patch.groovy") {
    changeSet(author: "fjm", id: "20171018-fjm-1") {
        addColumn(tableName: "HLS_DOCUMENT_VERSION") {
            column(name: "version_type", type: "varchar(100)", remarks: "历史版本类型（HISTORY/CHANGE_REQ)")
        }
        addColumn(tableName: "con_contract_change_req") {
            column(name: "document_version_id", type: "bigint", remarks: "")
        }
        dropColumn(tableName:"CON_CONTRACT_H",columnName:"change_req_id")
        dropColumn(tableName:"CON_CONTRACT_TENANT_H",columnName:"change_req_id")
        dropColumn(tableName:"CON_CONTRACT_CASHFLOW_H",columnName:"change_req_id")
        dropColumn(tableName:"CON_CONTRACT_GUARANTOR_H",columnName:"change_req_id")
        dropColumn(tableName:"CON_CONTRACT_LEASE_ITEM_H",columnName:"change_req_id")
        dropColumn(tableName:"CON_CONTRACT_MORTGAGE_H",columnName:"change_req_id")
    }
}