package hls.core.db.register.lov

import com.hand.hap.db.utils.SysLovTemplateUtils
import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
def sysLovTemplateUtils =  SysLovTemplateUtils.getInstance();

/*begin LOV定义*/
println("*********************** begin register syslov neilSysLov");
sysLovTemplateUtils.deleteSysLov("neilSysLov");

sysLovTemplateUtils.sysLovLoad("neilSysLov", "neilSysLov中文description", "neilSysLovSelectMapper.select", "neilSysLov标题", "neilSysLovTextField", "neilSysLovValueField", "neilSysLov提示", null, null,'Y',1, 200, 200);

sysLovTemplateUtils.sysLovItemLoad("neilSysLov", "neilSysLovItem1显示1", "neilSysLovItem1字段名1", "center", 200, 1,'Y','Y',"select","查询字段名","selectCode","selectLovCode","fieldTextField","coditionUrl","urltext","urlvalue",200,200,1);
sysLovTemplateUtils.sysLovItemLoad("neilSysLov", "neilSysLovItem2显示2", "neilSysLovItem2字段名2", "center", 200, 2,'Y','Y',null,null,null,null,null,null,null,null,null,null,null);
sysLovTemplateUtils.sysLovItemLoad("neilSysLov", "neilSysLovItem3显示3", "neilSysLovItem3字段名3", "center", 200, 3,'Y','Y',null,null,null,null,null,null,null,null,null,null,null);
println("*********************** end register syslov neilSysLov");
/*end*/





