package hls.core.db.register.syscode

import com.hand.hap.db.utils.SysCodeTemplateUtils
import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
def sysCodeTemplateUtils = SysCodeTemplateUtils.getInstance();

/*begin不包含父级别*/
println("*********************** begin register syscode neilSysCode");
sysCodeTemplateUtils.deleteSysCode("neilSysCode");

sysCodeTemplateUtils.sysCodeLoad("neilSysCode","neilSysCode", "USER", null);
sysCodeTemplateUtils.sysCodeTlLoad("neilSysCode", "neilSysCode中文", "zh_CN");
sysCodeTemplateUtils.sysCodeTlLoad("neilSysCode", "neilSysCode", "en_GB");

sysCodeTemplateUtils.sysCodeValueLoad("neilSysCode", "neilSysCodeValue", "测试系统代码", "测试系统代码", 10,null, null);
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCode", "neilSysCodeValue", "测试系统代码", "测试系统代码", "zh_CN" );
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCode", "neilSysCodeValue", "test_sys_code", "test_sys_code", "en_GB" );

sysCodeTemplateUtils.sysCodeValueLoad("neilSysCode", "neilSysCodeValue1", "测试系统代码1", "测试系统代码1", 20,null, null);
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCode", "neilSysCodeValue1", "测试系统代码1", "测试系统代码1", "zh_CN" );
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCode", "neilSysCodeValue1", "test_sys_code1", "test_sys_code1", "en_GB" );
println("*********************** end register syscode neilSysCode");
/*end*/

/*begin包含父级别*/
println("*********************** begin register syscode neilSysCodeChild");
sysCodeTemplateUtils.deleteSysCode("neilSysCodeChild");

sysCodeTemplateUtils.sysCodeLoad("neilSysCodeChild","neilSysCodeChild", "USER", "neilSysCode");
sysCodeTemplateUtils.sysCodeTlLoad("neilSysCodeChild", "neilSysCodeChild中文", "zh_CN");
sysCodeTemplateUtils.sysCodeTlLoad("neilSysCodeChild", "neilSysCodeChild", "en_GB");

sysCodeTemplateUtils.sysCodeValueLoad("neilSysCodeChild", "neilSysCodeChildValue", "测试系统代码下级", "测试系统代码下级", 10,"neilSysCode", "neilSysCodeValue");
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCodeChild", "neilSysCodeChildValue", "测试系统代码下级", "测试系统代码下级", "zh_CN" );
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCodeChild", "neilSysCodeChildValue", "test_sys_code_child", "test_sys_code_child", "en_GB" );

sysCodeTemplateUtils.sysCodeValueLoad("neilSysCodeChild", "neilSysCodeChildValue1", "测试系统代码1下级", "测试系统代码1下级", 20,"neilSysCode", "neilSysCodeValue1");
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCodeChild", "neilSysCodeChildValue1", "测试系统代码1下级", "测试系统代码1下级", "zh_CN" );
sysCodeTemplateUtils.sysCodeValueTlLoad("neilSysCodeChild", "neilSysCodeChildValue1", "test_sys_code1_child", "test_sys_code1_child", "en_GB" );
println("*********************** begin register syscode neilSysCodeChild");
/*end*/



